package weixinapi

import (
	"git.rosy.net.cn/baseapi"

	"go.uber.org/zap"
)

var (
	api         *API
	sugarLogger *zap.SugaredLogger
)

func init() {
	logger, _ := zap.NewDevelopment()
	sugarLogger = logger.Sugar()
	baseapi.Init(sugarLogger)

	// sandbox
	// api = New("wxbf235770edaabc5c", "ba32b269a068a5b72486a0beafd171e8")

	// // prod
	//api = New("wx2bb99eb5d2c9b82c", "6bbbed1443cc062c20a015a64c07a531")

	// 果园
	//api = New("wx2d6949f724b2541d", "11f3c380551c4683c149990b004d6df9")
	// 菜市 wixnapp2(物料/菜市)
	api = New("wx4b5930c13f8b1170", "2a57228a716ce991a52739f0ff41111d")
	//api = New("wx2bb99eb5d2c9b82c", "6bbbed1443cc062c20a015a64c07a531")
	//api.CBSetToken("79_3x4gI4IFn9JKJd0EouSLe2HYFFoscRntAYCTZec4VLBlgivhOR0D2vp0mF0u6T-DmzbnAXotpTs_5Yp5Knxak7bfaMDzoaFMZM14r5n4CKpNTOaLH4PSyap2TnALTKgAHASAR")
	//api.CBSetToken("102_563eM-1LcfFzyjU00n-W036LZg1IHVzSrIi0FEj4ylD915aYUpB9nOJBe21UKFBhHHs_xzoyZXvcO_HOQ1-De-F9-W3H1CHyHFQe8SiCORnMlSnQaQkIPXTiMpERZWcAEAUCZ")
}
